OtherAPI ReferenceText-to-SpeechVoices

Get voices count

Returns the total number of voices in your project.

GET
https://api.soniox.com/v1/voices/count

Returns the total number of voices in your project.

Headers

AuthorizationRequiredBearer <SONIOX_API_KEY>

Response

200

OK

totalRequiredinteger

Total number of voices in your project.

Errors

OK

{
  "total": 0
}

Unauthorized

{
  "status_code": 0,
  "error_type": "string",
  "message": "string",
  "validation_errors": [
    {
      "error_type": "string",
      "location": "string",
      "message": "string"
    }
  ],
  "request_id": "string",
  "more_info": "string"
}

Too Many Requests

{
  "status_code": 0,
  "error_type": "string",
  "message": "string",
  "validation_errors": [
    {
      "error_type": "string",
      "location": "string",
      "message": "string"
    }
  ],
  "request_id": "string",
  "more_info": "string"
}

Internal Server Error

{
  "status_code": 0,
  "error_type": "string",
  "message": "string",
  "validation_errors": [
    {
      "error_type": "string",
      "location": "string",
      "message": "string"
    }
  ],
  "request_id": "string",
  "more_info": "string"
}